#pragma once

#include <Engine/types/entity/InstancedSprite.h>

namespace Game {
    class Box;
}

class Game::Box final : public Engine::InstancedSprite {
public:
    void Update() final;
public:
    explicit Box(const Vector2& position, unsigned int layer = 1, float rad_rotation = 0.0f) : Engine::InstancedSprite(position, layer, "assets/sprites/Re3D.png",
                 {0.5, 0.5},rad_rotation, Colors::White, nullptr, "assets/sprites/alpha_mask.png")
                 { SetDecay(0.10f); SetVisualRotation(WorldRight()); SetPosition({200, 200}, false); }
};